Package: spyder / 4.2.1+dfsg1-3

Metadata

Package Version Patches format
spyder 4.2.1+dfsg1-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
Customize paths for Debian.patch | (download)

spyder/__init__.py | 6 5 + 1 - 0 !
1 file changed, 5 insertions(+), 1 deletion(-)

 customize paths for debian


Always use setuptools.patch | (download)

setup.py | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 always use setuptools


Remove pyqt5 from install requires.patch | (download)

setup.py | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 remove pyqt5 from install requires


0004 Removed pylint dependency.patch | (download)

setup.py | 5 4 + 1 - 0 !
1 file changed, 4 insertions(+), 1 deletion(-)

 removed pylint dependency

dh_python3 generate a pylint3 dependency. So we need to remove it, until
it is fixed by the dh-python upstream

0005 fix implicit int conversion.patch | (download)

spyder/widgets/colors.py | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

---
0006 quieten dependency warning | (download)

spyder/dependencies.py | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

---